Bug 18160 - Nothing seems to define what the "any... args" parameters do.
Summary: Nothing seems to define what the "any... args" parameters do.
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:29 UTC by contributor
Modified: 2012-09-21 10:27 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:29:26 UTC
This was was cloned from bug 16019 as part of operation convergence.
Originally filed: 2012-02-17 17:55:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-02-17 17:55:42 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/timers.html
Multipage: http://www.whatwg.org/C#timers
Complete: http://www.whatwg.org/c#timers

Comment:
Nothing seems to define what the "any... args" parameters do.

Posted from: 72.229.29.65
User agent: Mozilla/5.0 (X11; Linux i686) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.7 Safari/535.19
================================================================================
 #1   Ms2ger                                          2012-05-14 16:49:48 +0000 
--------------------------------------------------------------------------------
This is defined in <http://www.whatwg.org/C#get-the-timed-task>.
================================================================================
 #2   Aryeh Gregor                                    2012-05-15 05:55:45 +0000 
--------------------------------------------------------------------------------
That's confusing.  The invoking algorithms don't explicitly pass the arguments anywhere.  Could the actual method descriptions mention what happens to the arguments somehow?
================================================================================
Comment 1 Ms2ger 2012-08-15 17:13:35 UTC
Filter on [Idon'tcareaboutHTMLWGbugspam].
Comment 2 Silvia Pfeiffer 2012-09-21 10:27:46 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/dab4d54da776d544fc14e9e8998d052b2c28b98e
   Rationale: adopted from WHATWG